get
https://api.duodeal.app/api/quotation-lines
Retrieves a paginated list of all quotation lines.
Note: To get lines for a specific quotation, use the GET /api/quotation-lines/quote/:id endpoint instead.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
page | integer | No | Page number for pagination (default: 1) |
limit | integer | No | Number of items per page (default: 50) |
order | string | No | Field to sort by (default: id) |
direction | string | No | Sort direction: asc or desc (default: desc) |
Response Fields
| Field | Type | Description |
|---|---|---|
id | integer | Line unique identifier |
lineType | string | Line type: normal, title, or subtotal |
title | string | Section title (for title lines) |
productTitle | string | Custom product title override |
description | string | Line description (HTML) |
rawDescription | string | Line description (plain text) |
quantity | float | Quantity |
unitPrice | float | Unit price (excl. tax) |
coef | float | Coefficient/multiplier |
discount | float | Discount value |
discountType | string | Discount type: percentage or amount |
totalHt | float | Total excl. tax (calculated) |
totalTtc | float | Total incl. tax (calculated) |
weight | integer | Sort order/position |
option | boolean | Whether line is optional |
hide | boolean | Whether line is hidden |
product | object | Associated product |
tax | object | Applied tax rate |
unity | object | Unit of measure |
medias | array | Associated media files |
parent | object | Parent line (for nested lines) |
customFields | object | Custom field values |
createdAt | datetime | Creation timestamp |
updatedAt | datetime | Last update timestamp |
Filtering
This endpoint supports advanced filtering. See the Filter System Documentation for the complete list of operators and usage examples.
Quick examples:
?filters[lineType][eq]=normal
?filters[quotation.id][eq]=123
?filters[product.name][contains]=Service
?filters[totalHt][gte]=500
Response
200 OK: Returns paginated list of quotation lines401 Unauthorized: Invalid or missing API key
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
200Successful response
401Unauthorized
